Summary:	Icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon dla środowiska MATE Desktop
Name:		mate-icon-theme
Version:	1.26.0
Release:	1
License:	LGPL v3 or CC-BY-SA v3.0
Group:		Themes
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	14728745c70f91b2a963729effa61e20
URL:		http://wiki.mate-desktop.org/mate-icon-theme
Patch0:		noarch-build.patch
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	mate-common
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Obsoletes:	mate-icon-theme-devel < 1.12.0
Obsoletes:	mate-icon-theme-legacy < 1.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icon theme for MATE Desktop.

%description -l pl.UTF-8
Motyw ikon dla środowiska MATE Desktop.

%package menta
Summary:	Menta Icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon Menta dla środowiska MATE Desktop
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Provides:	make-icon-theme-menta = 1.6.0-2
Obsoletes:	make-icon-theme-menta

%description menta
Menta Icon theme for MATE Desktop.

%description menta -l pl.UTF-8
Motyw ikon Menta dla środowiska MATE Desktop.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-icon-mapping
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/icons/mate/scalable/{actions,apps,status}
> $RPM_BUILD_ROOT%{_iconsdir}/mate/icon-theme.cache
> $RPM_BUILD_ROOT%{_iconsdir}/menta/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache mate

%postun
%update_icon_cache mate

%post menta
%update_icon_cache menta

%postun menta
%update_icon_cache menta

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{_iconsdir}/mate
%{_iconsdir}/mate/index.theme
%{_iconsdir}/mate/[0-9]*x[0-9]*
%{_iconsdir}/mate/scalable
%{_iconsdir}/mate/scalable-up-to-32
%ghost %{_iconsdir}/mate/icon-theme.cache

%files menta
%defattr(644,root,root,755)
%dir %{_iconsdir}/menta
%{_iconsdir}/menta/index.theme
%{_iconsdir}/menta/[0-9]*x[0-9]*
%ghost %{_iconsdir}/menta/icon-theme.cache
%changelog
* Mon Aug 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-icon-theme.git;a=log;h=master

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 2374d68
- up to 1.26.0

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> 7de13ba
- up to 1.24.0

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> fa3bfe0
- up to 1.22.2

* Tue Apr 09 2019 Jan Palus <atler@pld-linux.org> 18434a8
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> 056bed6
- up to 1.22.0

* Thu Dec 20 2018 Jan Palus <atler@pld-linux.org> 2eb3644
- up to 1.20.3

* Mon Oct 08 2018 Jan Palus <atler@pld-linux.org> 17af5f7
- up to 1.20.2

* Thu Jun 14 2018 Jan Palus <atler@pld-linux.org> 1693ab7
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 9e8c6b7
- up to 1.20.0

* Thu Apr 20 2017 Jan Palus <atler@pld-linux.org> 7b39a76
- up to 1.18.2

* Tue Apr 04 2017 Jan Palus <atler@pld-linux.org> c1b77a5
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 6c8ea9a
- up to 1.18.0

* Fri Sep 23 2016 Jan Palus <atler@pld-linux.org> fbe91c5
- up to 1.16.0

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 1856cef
- up to 1.14.0

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 1247a12
- Obsoletes mate-icon-theme-devel

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 672426d
- up to 1.12.0

* Thu Jun 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 7d332f6
- package also scalable-up-to-32 icon set (one-element currently)

* Fri Jun 12 2015 Elan Ruusamäe <glen@delfi.ee> 2a30882
- up to 1.10.1

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 49b5d8c
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> f3e6a9e
- up to 1.8.0
- run autotools
- BR: pkgconfig

